cdac.medinfo.sdk.hl7282.commoninterface

## Interface IUnrecognizedDataSet

-     public interface IUnrecognizedDataSet

  Contains methods used in UnknownResource class for unknown data that will be encountered during Parsing of HL7 file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldName()` Retrieves Field Name.
    `java.lang.String` | `getMessage()` Gets error Message related to the unknown data.
    `java.lang.String` | `getSegmentName()` Retrieves Segment Name.
    `java.lang.String` | `getValue()` Retrieves Value of Unknown data.
    `void` | `setMessage(java.lang.String strMessage)` Set error Message for unknown data.
    `void` | `setrFieldName(java.lang.String strField)` Sets Fiekd name.
    `void` | `setSegmentName(java.lang.String strSegment)` Sets Segment Name.
    `void` | `setValue(java.lang.String strValue)` Setes Value to unknown data.

- - ### Method Detail

    - #### getSegmentName

          java.lang.String getSegmentName()

      Retrieves Segment Name.
      Returns:
        String- Specifies Unknown Segment along with the data(read and return String upto '\r')

    - #### setSegmentName

          void setSegmentName(java.lang.String strSegment)

      Sets Segment Name.
      Parameters:
        `strSegment` - - Specifies unknown segment along with the data(read and set String upto '\r')

    - #### getFieldName

          java.lang.String getFieldName()

      Retrieves Field Name.
      Returns:
        String - Specifies Unknown field along with the data(read and return String upto next field separator(|))

    - #### setrFieldName

          void setrFieldName(java.lang.String strField)

      Sets Fiekd name.
      Parameters:
        `strField` - - Specifies unknown field along with the data(read and return String upto next field separator(|))

    - #### getValue

          java.lang.String getValue()

      Retrieves Value of Unknown data.
      Returns:
        string - Specifies string of unknown data.

    - #### setValue

          void setValue(java.lang.String strValue)

      Setes Value to unknown data.
      Parameters:
        `strValue` - - Specifies string of unknown data.

    - #### getMessage

          java.lang.String getMessage()

      Gets error Message related to the unknown data.
      Returns:
        String -Specifies error Message related to the unknown data.

    - #### setMessage

          void setMessage(java.lang.String strMessage)

      Set error Message for unknown data.
      Parameters:
        `String` - - Specifies error Message for unknown data